# Get users on an account

Get users on an account

Endpoint: GET /v5/users
Version: 3.0.0
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Query parameters:

  - `role` (string)
    The user role by which to filter results (basic == analyst)

  - `limit` (integer)
    The number of users to return

  - `skip` (integer)
    The number of users to skip

## Response 200:

  - `200` (unknown)
    A 200 response

## Response 200 fields (application/json):

  - `users` (array)

  - `users.id` (string)
    the user ID

  - `users.activated` (boolean)
    user activation status

  - `users.name` (string)
    full name of user

  - `users.is_disabled` (boolean)
    disablement status of user

  - `users.email` (string)
    user email address

  - `users.email_details` (object)

  - `users.email_details.address` (string)
    the full email address

  - `users.email_details.is_valid` (boolean)
    whether the email address is valid

  - `users.email_details.reason` (string)
    reason why user email is not valid, if applicable

  - `users.email_details.parts` (object)

  - `users.email_details.parts.domain` (string)
    email domain

  - `users.email_details.parts.local_part` (string)
    user email identifier

  - `users.email_details.parts.display_name` (string)
    email display name, if applicable

  - `users.role` (string)
    role of user on the account

  - `users.account_id` (string)
    account ID

  - `users.opened_ip` (string)
    IP address from which the user opened the account, if applicable

  - `users.is_master` (boolean)
    whether the user is the account owner

  - `users.metadata` (object)
    any optional metadata for the user

  - `users.tfa_enabled` (boolean)
    whether 2-factor auth has been enabled for the user

  - `users.tfa_active` (boolean)
    whether 2-factor auth has been activated for the user

  - `users.tfa_created_at` (any)
    Example: 2022-12-20T16:52:01.892000

  - `users.password_updated_at` (any)
    Example: 2022-12-20T16:52:01.892000

  - `users.preferences` (object)

  - `users.preferences.time_zone` (string)
    time zone for the user

  - `users.preferences.time_format` (string)
    preferred timestamp format for the user's in-app experience

  - `users.preferences.programming_language` (string)
    preferred programming language

  - `users.auth` (object)

  - `users.auth.method` (string, required)
    The user-level auth method

  - `users.auth.prior_method` (string)
    The previous auth method for the user, if applicable

  - `users.auth.prior_details` (object)
    Details that may be needed for an auth method

  - `users.github_user_id` (any)

  - `users.salesforce_user_id` (any)

  - `users.migration_status` (string)
    status of migration to Sinch ID for user authentication, if applicable

  - `total` (integer)
    total number of users on the account or the total number of users that match the query

## Response 200 examples:

  - `Example` (unknown)

